//
// main.cpp
// sciotest
//
// Created by Bob Polis at 2020-02-14
// Copyright (c) 2020 SwiftCoder. All rights reserved.
//

#include <iostream>
#include <cstdlib>
#include <libcommon.hpp>
#include <libscio.hpp>

using namespace std;

int main(int /*argc*/, const char * argv[]) {
    try {
		sc::io::fdostream chan(1);
         chan << "hello, sciotest\n";
    } catch (const exception& ex) {
        cerr << su::basename(argv[0]) << ": " << ex.what() << '\n';
        return EXIT_FAILURE;
    }
    return EXIT_SUCCESS;
}
